
Redmine - Defect #2206

User sees register-page after successful login (LDAP)

2008-11-17 10:04 - Martin Bächtold

Status: Closed Start date: 2008-11-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

I configured Redmine to authenticate against an LDAP-Server which works like a charm.

But there is a little problem: After a successful login, the user will see the register-page.

Here is how this happened:

- User registers, but needs to be approved by admin

- Admin approves user and sets authentication to LDAP

- User tries to log in for the first time with the correct username but the wrong password.

- Redmine denies access

- User retries to log in, this time with the correct username AND the correct passwort

- User is logged in but sees the register-page

This happens only once.

Associated revisions

Revision 2062 - 2008-11-27 21:15 - Jean-Philippe Lang

Fixed: inappropriate redirection to login or register page may occur (#2206). Eg. user clicks login link twice before logging in.

History

#1 - 2008-11-24 20:12 - Azamat Hackimov

That normal behavior. After first successful login against LDAP user must confirm or edit data retrived from directory. Otherwise if he not have email

in LDAP, he never able recieve notifications.

#2 - 2008-11-27 21:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

I confirm this defect and it is fixed in r2062.

Same kind of bug was happening if a user click the Login link twice before logging in.
